shishi_cfg_clientkdcetype(3)

NAME
shishi_cfg_clientkdcetype - API function

SYNOPSIS
#include <shishi.h>

int shishi_cfg_clientkdcetype(Shishi * handle, int32_t ** etypes);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

int32_t ** etypes
    Pointer to an array of encryption types.

DESCRIPTION
Sets the variable etypes to a static array of preferred encryption types applicable to clients.

RETURN VALUE
Returns the number of encryption types referred to by the updated array pointer, or zero, should no type exist.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.